Bug 673562 - (CVE-2011-0530) CVE-2011-0530 NBD: CVE-2005-3534 reintroduced in upstream nbd-v2.9.0 version
CVE-2011-0530 NBD: CVE-2005-3534 reintroduced in upstream nbd-v2.9.0 version
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20110128,reported=20110128,sou...
: Security
Depends On: 673563
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-28 13:07 EST by Jan Lieskovsky
Modified: 2012-07-10 16:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: nbd-2.9.20-1.fc14 nbd-2.9.20-1.fc13 nbd-2.9.20-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-19 05:31:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-01-28 13:07:37 EST
Originally, CVE-2005-3534:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3534

has been assigned to NBD and addressed in nbd-v2.8.3 version:
[2] http://sourceforge.net/project/shownotes.php?release_id=380202&group_id=13229

via changeset:
[3] https://github.com/yoe/nbd/commit/4ed24fe0d64c7cc9963c57b52cad1555ad7c6b60

But nbd-v2.9.0:
[4] http://sourceforge.net/projects/nbd/files/nbd/2.9.0/

contains the issue again. This flaw was fixed second time
via upstream changeset:
[5] https://github.com/yoe/nbd/commit/3ef52043861ab16352d49af89e048ba6339d6df8

References:
[6] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611187
Comment 1 Jan Lieskovsky 2011-01-28 13:09:19 EST
This issue affects the versions of the nbd package, as shipped
with Fedora release of 13 and 14.

Please fix.
Comment 2 Jan Lieskovsky 2011-01-28 13:10:30 EST
Created nbd tracking bugs for this issue

Affects: fedora-all [bug 673563]
Comment 3 Jan Lieskovsky 2011-01-28 13:17:39 EST
CVE Request:
[7] http://www.openwall.com/lists/oss-security/2011/01/28/3
Comment 4 Vincent Danen 2011-02-11 10:38:13 EST
This was assigned CVE-2011-0530:

http://www.openwall.com/lists/oss-security/2011/01/31/7

Note You need to log in before you can comment on or make changes to this bug.